/**
 * @desc 修改
 */

import * as defs from '../../baseClass'
import { defHttp } from '/@/utils/http/axios'

export const init = new defs.ResultString()

export function request(
    body?: defs.PermissionParam,
    config?: http.RequestConfig<defs.PermissionParam>,
    options?: http.RequestOptions,
) {
    return defHttp.request(
        {
            url: '/sys/permission/modify',
            method: 'POST',
            data: body,
            headers: { 'Content-Type': 'application/json' },

            ...config,
        },
        options,
    )
}
